class AssetSubItemExtendedAttribute {

    ExtendedAttributeType extendedAttributeType
    AssetSubItem assetSubItem

    String value
    boolean isActive = true

//     static hasMany = []

    static belongsTo = [AssetSubItem]

    static constraints = {
        value(blank:false, maxSize:100)
        isActive()
    }

    String toString() {
        "${extendedAttributeType.name}: ${this.value}"
    }
}

